extends Area3D

@export var damage_multiplexer: float = 1.0
@export var body_part: String = ""

signal body_part_hit(damage: int)

func _ready() -> void:
	add_to_group("target")

func hit(base_damage: int):
	var final_damage = round(base_damage * damage_multiplexer)
	body_part_hit.emit(final_damage)
